net.sourceforge.pmd.lang.jsp.rule.basic

## Class DuplicateJspImportsRule

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.lang.rule.AbstractRule
    - - net.sourceforge.pmd.lang.jsp.rule.AbstractJspRule
      - - net.sourceforge.pmd.lang.jsp.rule.basic.DuplicateJspImportsRule

All Implemented Interfaces:
  JspParserVisitor, ImmutableLanguage, PropertySource, Rule

    public class DuplicateJspImportsRule
    extends AbstractJspRule

### Field Summary

### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

`propertyDescriptors, propertyValuesByDescriptor`

### Fields inherited from interface net.sourceforge.pmd.Rule

`VIOLATION_SUPPRESS_REGEX_DESCRIPTOR, VIOLATION_SUPPRESS_XPATH_DESCRIPTOR`

### Constructor Summary

Constructors
Constructor and Description
`DuplicateJspImportsRule()`

### Method Summary

Methods
`void` `apply(List<? extends Node> nodes, RuleContext ctx)` Apply this rule to the given collection of nodes, using the given context.
`Object` `visit(ASTJspDirectiveAttribute node, Object data)`

### Methods inherited from class net.sourceforge.pmd.lang.jsp.rule.AbstractJspRule

`setUsesTypeResolution, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visitAll`

### Methods inherited from class net.sourceforge.pmd.lang.rule.AbstractRule

`addExample, addRuleChainVisit, addRuleChainVisit, addViolation, addViolation, addViolation, addViolationWithMessage, addViolationWithMessage, addViolationWithMessage, deepCopyValuesTo, end, equals, getDescription, getExamples, getExternalInfoUrl, getLanguage, getMaximumLanguageVersion, getMessage, getMinimumLanguageVersion, getName, getParserOptions, getPriority, getRuleChainVisits, getRuleClass, getRuleSetName, getSince, hashCode, isDeprecated, setDeprecated, setDescription, setExternalInfoUrl, setLanguage, setMaximumLanguageVersion, setMessage, setMinimumLanguageVersion, setName, setPriority, setRuleClass, setRuleSetName, setSince, setUsesDFA, start, usesDFA, usesRuleChain, usesTypeResolution`

### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

`copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.PropertySource

`definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

### Constructor Detail

#### DuplicateJspImportsRule

    public DuplicateJspImportsRule()

### Method Detail

#### apply

    public void apply(List<? extends Node> nodes,
             RuleContext ctx)

Description copied from interface: `Rule`
Apply this rule to the given collection of nodes, using the given context.

Specified by:
  `apply` in interface `Rule`
Overrides:
  `apply` in class `AbstractJspRule`

#### visit

    public Object visit(ASTJspDirectiveAttribute node,
               Object data)

Specified by:
  `visit` in interface `JspParserVisitor`
Overrides:
  `visit` in class `AbstractJspRule`